## org.apache.ivy.osgi.updatesite
Class PluginAdapter

    java.lang.Object
      org.apache.ivy.osgi.updatesite.PluginAdapter

    public class PluginAdapter

extends java.lang.Object

Constructor Summary
`PluginAdapter()`

Method Summary
`static BundleInfo` `featureAsBundle(java.net.URI baseUri, EclipseFeature feature)`
`static BundleInfo` `pluginAsBundle(java.net.URI baseUri, EclipsePlugin plugin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginAdapter

    public PluginAdapter()

Method Detail

### featureAsBundle

    public static BundleInfo featureAsBundle(java.net.URI baseUri,
                                             EclipseFeature feature)

### pluginAsBundle

    public static BundleInfo pluginAsBundle(java.net.URI baseUri,
                                            EclipsePlugin plugin)